.masterplan-wrap {
  position: relative;
  width: 100%;
  height: 100vh;
  overflow: hidden;
  background: #111;
}

.masterplan-svg {
  display: block;
  width: 100%;
  height: 100%;
}

.building-link {
  cursor: pointer;
}

/* Klikitav maja kuju */
.building-shape {
    fill: rgb(65 99 96 / 20%);
    stroke: rgb(40 69 71 / 0%);
    stroke-width: 2px;
    transition: fill 0.3s ease, stroke-width 0.3s ease, filter 0.3s ease;
}

.building-link:hover .building-shape,
.building-link:focus .building-shape {
  fill: rgba(255, 255, 255, 0.08);
  stroke-width: 4;
  filter: drop-shadow(0 0 14px rgba(255, 255, 255, 0.45));
}

/* foreignObject sees olev HTML silt */
.building-label {
    display: inline-flex;
    flex-direction: column;
    align-items: center;
    /* font-family: Arial, Helvetica, sans-serif; */
    pointer-events: none;
    transition: transform 0.25s ease;
    align-content: center;
}

.building-link:hover .building-label,
.building-link:focus .building-label {
  transform: translateY(-3px);
}

/* Aadress */
.building-title {
    color: #284547;
    font-size: 25px;
    font-weight: 600;
    line-height: 100%;
    /*text-shadow: 0 2px 4px rgb(0 0 0 / 0%), 0 0 8px rgb(0 0 0 / 9%);*/
    text-align: center;
	background-color:white;
	padding:15px;
}

/* Badge */
.status {
    margin-top: 0px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    padding: 7px 14px;
    border-radius: 0px;
    font-size: 18px;
    font-weight: 700;
    line-height: 100%;
    text-transform: uppercase;
    color: #ffffff;
    box-shadow: 0 6px 16px rgba(0, 0, 0, 0.2);
}

/* Staatuse värvid */
.status.muugis {
    background: #4f8982;
}

.status.broneeritud {
    background: #284547;
}

.status.muudud {
  background: #d94b45;
}

/* Responsive */
@media (max-width: 1200px) {
  .masterplan-wrap {
    height: 85vh;
  }

  .building-title {
    font-size: 22px;
  }
}

@media (max-width: 991px) {
  .masterplan-wrap {
    height: 72vh;
  }

  .building-title {
    font-size: 20px;
  }

  .status {
    font-size: 12px;
    padding: 6px 12px;
  }

  .building-shape {
    stroke-width: 2.5;
  }
}

@media (max-width: 767px) {
  .masterplan-wrap {
    height: 60vh;
  }

  .building-title {
    font-size: 38px;
  }

  .status {
    margin-top: 6px;
    font-size: 20px;
    padding: 6px 10px;
  }
}

@media (max-width: 575px) {
  .masterplan-wrap {
    height: 50vh;
  }

  .building-title {
    font-size: 40px;
  }
  .status {
    margin-top: 0px;
    font-size: 30px;
    
  }
}